WayloAIWaylo Docs
APIReferenceCatalogs

Update catalog

PATCH
/catalogs/{id}

Change any part of the data except its workspace and items.

Access: workspace_admin · API key catalogs:write

Authorization

api-key
headerAuthorizationBearer <sk_waylo_<lookup><secret><checksum>>

Path Parameters

id*string

Header Parameters

Authorization*string

Your API key.

Request Body

application/json
  1. body
name?string
Lengthlength <= 100
description?|
Lengthlength <= 500
active?boolean
metadata?

Response Body

Updated

application/json
  1. response
id*string
workspaceId*string
name*string
description*string|null
active*boolean
metadata*
itemCount*number
agents*array<>
createdByUserId*|
Formatuuid
createdByUserName*string|null
updatedByUserId*|
Formatuuid
updatedByUserName*string|null
createdAt*string
Formatdate-time
updatedAt*string
Formatdate-time
Example Request
curl -X PATCH 'https://api.poc.app.waylovoice.ai/catalogs/string' \  -H 'Authorization: Bearer sk_waylo_...' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "string",  "workspaceId": "string",  "name": "string",  "description": "string",  "active": true,  "metadata": {},  "itemCount": 0,  "agents": [    {      "id": "string",      "name": "string"    }  ],  "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620",  "createdByUserName": "string",  "updatedByUserId": "b38eaad7-8efa-49e7-b0aa-619916a3821e",  "updatedByUserName": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}